Method: semanticGovernancePolicies.list

Full name: projects.locations.semanticGovernancePolicies.list

Lists SemanticGovernancePolicies in a given location.

Endpoint

get https://{service-endpoint}/v1/{parent}/semanticGovernancePolicies

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

parent string

Required. The resource name of the Location from which to list the SemanticGovernancePolicies. Format: projects/{project}/locations/{location}

Query parameters

pageSize integer

Optional. The list page size. If zero, a default page size of 10 is used.

pageToken string

Optional. The standard list page token.

Request body

The request body must be empty.

Response body

Response message for SemanticGovernancePolicyService.ListSemanticGovernancePolicies.

If successful, the response body contains data with the following structure:

Fields
semanticGovernancePolicies[] object (SemanticGovernancePolicy)

The list of SemanticGovernancePolicies.

nextPageToken string

A token to retrieve the next page of results. Pass to ListSemanticGovernancePoliciesRequest.page_token to obtain that page.

JSON representation
{
  "semanticGovernancePolicies": [
    {
      object (SemanticGovernancePolicy)
    }
  ],
  "nextPageToken": string
}